package com.mvc.model;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class TCheckModel {

    private Integer id;

    private String checkId;

    private String checkName;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date startTime;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date endTime;

    private Integer checkDays;

    private Integer checkIntverl;

    private Integer checkDeviceNum;

    private String createMan;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date createTime;

    private String chkrptId;

    private String earlyFlag;

    private String earlyMan;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date earlyTime;

    private String earlyBecause;

    private String taskBatchId;//批量任务表主键
    private String taskBatchStatusName;//批量任务执行状态
    private TaskBatchRemoteModel taskBatchRemoteModel;//批量任务对象

    private List<TCheckDetailModel> detailList;

    private Integer page;//页码

    private Integer rows;//每页条数

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date planEndTime;//计算结束时间 2022-10-29 guozhao

    private String planEndInfo;//距离结束的提示信息(n天n小时n分钟)

    private Integer hideFinished;//隐藏已经完成的记录(前台查询使用)

    private String platName;

    private String mcuVersion;

    private String batFlag;

    private String autoBatchFlag;

    private String autoBatchAntennaType;

    private String autoBatchId;

    private Integer delaySwitchAntenna;

    private String delaySwitchAntennaType;

    private String delaySwitchBatchId;

    private String delaySwitchTaskFlag;

    public List<TCheckDetailModel> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<TCheckDetailModel> detailList) {
        this.detailList = detailList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getCheckDays() {
        return checkDays;
    }

    public void setCheckDays(Integer checkDays) {
        this.checkDays = checkDays;
    }

    public Integer getCheckIntverl() {
        return checkIntverl;
    }

    public void setCheckIntverl(Integer checkIntverl) {
        this.checkIntverl = checkIntverl;
    }

    public Integer getCheckDeviceNum() {
        return checkDeviceNum;
    }

    public void setCheckDeviceNum(Integer checkDeviceNum) {
        this.checkDeviceNum = checkDeviceNum;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getChkrptId() {
        return chkrptId;
    }

    public void setChkrptId(String chkrptId) {
        this.chkrptId = chkrptId;
    }

    public String getEarlyFlag() {
        return earlyFlag;
    }

    public void setEarlyFlag(String earlyFlag) {
        this.earlyFlag = earlyFlag;
    }

    public String getEarlyMan() {
        return earlyMan;
    }

    public void setEarlyMan(String earlyMan) {
        this.earlyMan = earlyMan;
    }

    public Date getEarlyTime() {
        return earlyTime;
    }

    public void setEarlyTime(Date earlyTime) {
        this.earlyTime = earlyTime;
    }

    public String getEarlyBecause() {
        return earlyBecause;
    }

    public void setEarlyBecause(String earlyBecause) {
        this.earlyBecause = earlyBecause;
    }

    public String getTaskBatchId() {
        return taskBatchId;
    }

    public void setTaskBatchId(String taskBatchId) {
        this.taskBatchId = taskBatchId == null ? null : taskBatchId.trim();
    }

    public String getTaskBatchStatusName() {
        return taskBatchStatusName;
    }

    public void setTaskBatchStatusName(String taskBatchStatusName) {
        this.taskBatchStatusName = taskBatchStatusName;
    }

    public TaskBatchRemoteModel getTaskBatchRemoteModel() {
        return taskBatchRemoteModel;
    }

    public void setTaskBatchRemoteModel(TaskBatchRemoteModel taskBatchRemoteModel) {
        this.taskBatchRemoteModel = taskBatchRemoteModel;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public Date getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    public String getPlanEndInfo() {
        return planEndInfo;
    }

    public void setPlanEndInfo(String planEndInfo) {
        this.planEndInfo = planEndInfo;
    }

    public Integer getHideFinished() {
        return hideFinished;
    }

    public void setHideFinished(Integer hideFinished) {
        this.hideFinished = hideFinished;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName == null ? null : platName.trim();
    }

    public String getMcuVersion() {
        return mcuVersion;
    }

    public void setMcuVersion(String mcuVersion) {
        this.mcuVersion = mcuVersion == null ? null : mcuVersion.trim();
    }

    public String getBatFlag() {
        return batFlag;
    }

    public void setBatFlag(String batFlag) {
        this.batFlag = batFlag == null ? null : batFlag.trim();
    }

    public String getAutoBatchFlag() {
        return autoBatchFlag;
    }

    public void setAutoBatchFlag(String autoBatchFlag) {
        this.autoBatchFlag = autoBatchFlag == null ? null : autoBatchFlag.trim();
    }

    public String getAutoBatchAntennaType() {
        return autoBatchAntennaType;
    }

    public void setAutoBatchAntennaType(String autoBatchAntennaType) {
        this.autoBatchAntennaType = autoBatchAntennaType == null ? null : autoBatchAntennaType.trim();
    }

    public String getAutoBatchId() {
        return autoBatchId;
    }

    public void setAutoBatchId(String autoBatchId) {
        this.autoBatchId = autoBatchId == null ? null : autoBatchId.trim();
    }

    public Integer getDelaySwitchAntenna() {
        return delaySwitchAntenna;
    }

    public void setDelaySwitchAntenna(Integer delaySwitchAntenna) {
        this.delaySwitchAntenna = delaySwitchAntenna;
    }

    public String getDelaySwitchAntennaType() {
        return delaySwitchAntennaType;
    }

    public void setDelaySwitchAntennaType(String delaySwitchAntennaType) {
        this.delaySwitchAntennaType = delaySwitchAntennaType == null ? null : delaySwitchAntennaType.trim();
    }

    public String getDelaySwitchBatchId() {
        return delaySwitchBatchId;
    }

    public void setDelaySwitchBatchId(String delaySwitchBatchId) {
        this.delaySwitchBatchId = delaySwitchBatchId == null ? null : delaySwitchBatchId.trim();
    }

    public String getDelaySwitchTaskFlag() {
        return delaySwitchTaskFlag;
    }

    public void setDelaySwitchTaskFlag(String delaySwitchTaskFlag) {
        this.delaySwitchTaskFlag = delaySwitchTaskFlag == null ? null : delaySwitchTaskFlag.trim();
    }
}
